{#
/**
 * @file
 * Default theme implementation to display a region.
 *
 * Available variables:
 * - content: The content for this region, typically blocks.
 * - attributes: HTML attributes for the region <div>.
 * - region: The name of the region variable as defined in the theme's
 *   .info.yml file.
 *
 * @see template_preprocess_region()
 *
 * @ingroup themeable
 */
#}
{% if content %}
  <div{{ attributes.addClass('flex flex-wrap') }}>
    {{ content }}
    <div class="flex w-36">
      <a href="{{ path('ccns.post') }}" class="btn btn-warning btn-xs text-white w-24 h-[26px]">post</a>
      <a href="{{ path('search.view') }}" class="btn btn-link btn-xs h-[24px]">
        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="stroke-warning size-6">
          <path stroke-linecap="round" stroke-linejoin="round" d="m21 21-5.197-5.197m0 0A7.5 7.5 0 1 0 5.196 5.196a7.5 7.5 0 0 0 10.607 10.607Z" />
        </svg>
      </a>
    </div>
    <div class="flex-none text-right user-links">
      {% if logged_in %}
        <a href="{{ path('entity.user.canonical', {'user': user.id}, {}) }}">{{ user.displayname }}</a>
        <a href="{{ path('entity.user.canonical', {'user': user.id}, {}) }}">{{ drupal_field('user_picture', 'user', user.id) }}</a>
      {% else %}
        <a href="{{ path('ccns.login_modal') }}" class="use-ajax login" id="nostr-auth">login</a>
      {% endif %}
    </div>
  </div>
{% endif %}
